@import 'index.scss';
@import '../../../common-styles.scss';

:host {
    .modal-products-window {
        @include flex-center;
        position: fixed;
        bottom: 0;
        left: 0;
        right: 0;
        top: 0;
        justify-content: center;
        align-items: center;
        background: $opacity_background;
        z-index: 1;

        .close-modal {
            position: absolute;
            top: 16px;
            right: 16px;
            height: 35px;
            width: 35px;
        }

        .modal-wrapper {
            @include flex-col;
            position: relative;
            align-items: flex-start;
            width: 100%;
            max-width: 884px;
            background: $light-orange;
            text-align: center;
            padding: 40px;

            .product-ingr {
                @include roboto-slab-regular(20px, $black, 30px);
                @include flex-row;
                flex: 1;
                flex-wrap: wrap;
            }

            .row {
                @include flex-row;
                @include roboto-slab-regular(20px, $black, 30px);
                width: calc(100%);
                margin-bottom: 16px;
                height: max-content;
                align-items: center;
                div,
                input {
                    @include flex-row;
                    margin-right: 4px;
                    align-items: center;
                    border: none;
                    outline: none;
                }



                .product-active {
                    @include flex-row;
                    height: 40px;
                    width: 40px;
                    align-items: center;
                    justify-content: center;
                }
            }

            .field-title {
                width: 100px;
                margin-right: 8px;
                @include roboto-slab-regular(20px, $black, 30px);
                display: flex;
                align-items: center;
                justify-content: flex-end;
            }

            .col {
                @include flex-col;
                width: calc(100% - 100px);
                margin-bottom: 8px;
            }
        }
    }

    app-product-table-header {
        flex-direction: column;
    }

    .buttons {
        @include flex-row;
        align-self: flex-end;
        margin-top: 40px;


        .save {
            @include btn-filled;
        }

        .cancel {
            @include btn-outline;
            margin-right: 32px;
        }
    }

    .type-select {
        @include flex-row;
        background-color: $white;
        border: none;
        outline: none;
        @include roboto-slab-regular(20px, $black, 30px);

    }
}